/**
 * Created by inkheart on 10/24/14.
 */

angular.module('Court')
    .controller('LavlagaaCtrl',
    function ($rootScope, $scope, $timeout, Factory, $ionicModal, Connection1, Connection, DelegateHandle, $ionicScrollDelegate, $ionicLoading) {
        $scope.models = Factory.models;
        $scope.getItemHeight = function (item, index) {
            //Make evenly indexed items be 10px taller, for the sake of example
            return 65;
        };

        //============================================================================

        $ionicModal.fromTemplateUrl('templates/lavlagaa/detail.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function (modal) {
            $scope.itemLDetailModal = modal;
        });

        $scope.doItemLDetail = function (id, model_section) {
            $ionicScrollDelegate.scrollTop();

            $ionicLoading.show({
                template: 'Уншиж байна...'
            });
            Connection.r('lavlagaa/content', { id: id }).then(function (res) {
                $scope.itemLDetailModal.show();
                $scope.detailLItems = res;
                $ionicLoading.hide();
            }, function (err) {
                $ionicLoading.hide();
            });
        };

        $scope.closeItemLDetail = function () {
            $scope.itemLDetailModal.hide();
        };

        $scope.doLRefresh = function () {
            $timeout(function () {
                var url = 'lavlagaa/menu';
                Factory.loadData($scope.models.lavlagaa, url, {}, function () {
                    $scope.$broadcast('scroll.refreshComplete');
                    $scope.itemLength = $scope.models.lavlagaa.length
                })
            }, 1000);
        };
    })