/**
 * Created by inkheart on 10/24/14.
 */

angular.module('Court')
    .controller('ZarToimCtrl',
    function ($rootScope, $scope, $timeout, Factory, $ionicModal, Connection1, Connection, DelegateHandle, $ionicScrollDelegate, $ionicLoading) {
        $scope.models = Factory.models;
        $scope.getItemHeight = function (item, index) {
            //Make evenly indexed items be 10px taller, for the sake of example
            return 135;
        };



//============================================================================

// Create the search modal дэлгэрэнгүй хайлт хийх цонх үүсгэж байна
        $ionicModal.fromTemplateUrl('templates/zartoim/search.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function (modal) {
            $scope.searchZtModal = modal;
        });

        // Triggered in the login modal to close it
        $scope.closeZtSearch = function () {
            $scope.searchZtModal.hide();
        };

        // Open the login modal
        $scope.openZtSearch = function (model_section) {
            $scope.searchZtModal.show();
        };


        // Perform the login action when the user submits the login form
        $scope.doZtSearch = function (model_section) {
            console.log('model_section: ', model_section)
            $ionicLoading.show({
                template: ' Хайж байна...'
            });

            console.log('$scope.models[model_section].searchData: ', $scope.models[model_section].searchData)
            delete $scope.searchZtParams
            var url = model_section + '/search';
            $scope.searchZtParams = DelegateHandle.reFormatZtSearchObj($scope.models[model_section].searchData)
            $timeout(function () {
                Connection.r(url, $scope.searchZtParams).then(function (res) {
                    $ionicScrollDelegate.scrollTop();
                    Factory.models[model_section].list = res.data;
                    $ionicLoading.hide();
                    $scope.closeZtSearch();
                }, function (err) {
                    $ionicLoading.hide();
                    $scope.closeZtSearch();
                });
                // Simulate a login delay. Remove this and replace with your login
                // code if using a login system
            }, 1000);
        };


        //============================================================================

        $ionicModal.fromTemplateUrl('templates/zartoim/detail.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function (modal) {
            $scope.itemZtDetailModal = modal;
        });

        $scope.doItemZtDetail = function (id, model_section) {
            $ionicScrollDelegate.scrollTop();

            $ionicLoading.show({
                template: 'Уншиж байна...'
            });
            var url = model_section + '/view';
            Connection.r(url, {id: id}).then(function (res) {
                $scope.itemZtDetailModal.show();
                $scope.detailZtItems = res.data;
                $ionicLoading.hide();
            }, function (err) {
                $ionicLoading.hide();
            });
        };

        $scope.closeItemZtDetail = function () {
            $scope.itemZtDetailModal.hide();
        };


        //============================================================================

        $ionicModal.fromTemplateUrl('templates/zartoim/turul.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function (modal) {
            $scope.itemZtTurulModal = modal;
        });

        $scope.doZtShuukhturul = function () {
            $ionicScrollDelegate.scrollTop();
            $scope.itemZtTurulModal.show();
        };

        $scope.closeZtShuukhturul = function () {
            $scope.itemZtTurulModal.hide();
        };


        $scope.selectZtTurul = function (type, name) {
            Connection.r('shuuh/names', {turul: type}).then(function (res) {
                $scope.ztSHuukhs = res;
                $scope.doZtShuukhturulName = name
                $scope.models[$rootScope.zartoim_type].searchData.shuuh_turul = type
                $scope.itemZtTurulModal.hide();
            }, function (err) {
            });
        };

        //============================================================================

        $ionicModal.fromTemplateUrl('templates/zartoim/shuukh.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function (modal) {
            $scope.itemZtShuuhkModal = modal;
        });

        $scope.doZtShuukh = function () {
            $ionicScrollDelegate.scrollTop();
            $scope.itemZtShuuhkModal.show();
        };

        $scope.closeZtShuuhk = function () {
            $scope.itemZtShuuhkModal.hide();
        };

        $scope.selectZtShuukh = function (item) {
            $scope.doZtShuukhName = item.name;
            $scope.models[$rootScope.zartoim_type].searchData.shuuh = item
            $scope.itemZtShuuhkModal.hide();
        };

//============================================================================


        $scope.loadZtMore = function (model_section) {
            $scope.searchZtParams = DelegateHandle.reFormatZtSearchObj($scope.models[model_section].searchData)
            $scope.searchZtParams.offset = $scope.models[model_section].list.length;
            var url = model_section + '/search';
            $timeout(function () {
                Connection.r(url, $scope.searchZtParams).then(function (res) {
                    res.data.forEach(function (e, i) {
                        $scope.models[model_section].list.push(e);
                    })
                    $scope.itemLength = $scope.models[model_section].list.length
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                }, function (err) {
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                });
            }, 2000)
        };

        $scope.doZtRefresh = function (model_section) {
            $timeout(function () {
                var url = model_section + '/search';
                Factory.loadData($scope.models[model_section], url, {}, function () {
                    $scope.$broadcast('scroll.refreshComplete');
                    $scope.itemLength = $scope.models[model_section].list.length
                })
                delete $scope.searchZtParams
            }, 1000);
        };
    })