/**
 * Created by bilgee on 9/17/14.
 */
'use strict';

angular.module('Court')
    .filter('dateFormat', function () {
        return function (ts) {
            return ts ? moment(ts).utc().format('YYYY-MM-DD') : '';
        }
    })
    .filter('dateFormatMMM', function () {
        return function (ts) {
            return ts ? moment(ts).utc().format('DD MMM, YYYY') : '';
        }
    })
    .filter('unsafe', function ($sce) {
        return function (val) {
            return $sce.trustAsHtml(val);
        };
    });