/**
 * Created by bilgee on 9/16/14.
 */
'use strict';

angular.module('Court')
    .service('Connection', function conn($http, $q, $log, $location, Constants, $ionicPlatform, $state) {
        var conn = {};
        conn['r'] = function (action, data) {
            var deferred = $q.defer();

            var host = Constants._APP_HOST;
            var restURL = host + '/' + action;
            $log.debug('POST:' + '/' + action + ': ', JSON.stringify(data));
            $http({
                cache: true,
                url: restURL,
                method: "POST",
                data: $.param(data == null ? {} : data),
                headers: {'Content-Type': 'application/x-www-form-urlencoded'}
            })
                .success(function (resData, status) {
                    //$log.debug('===================== RESPONSE ===========================')
                    if (resData) {
                        deferred.resolve(resData);
                    }
                    else {
                        $log.debug(action + 'oops error occurred here!: status:' + status + ': ', JSON.stringify(resData));
                    }
                }).error(function (resData, status) {
                    $log.debug(action + 'oops error occurred here!: status:' + status + ': ', JSON.stringify(resData));

                    $ionicPlatform.ready(function () {
                        if (window.Connection) {
                            if (navigator.connection.type == Connection.NONE) {
                                $state.go('connection')
                            }
                        }
                    });
                    deferred.reject(status);
                });
            return deferred.promise;
        };
        return conn;
    })
    .service('Connection1', function conn($http, $q, $log, $location, Constants, $localstorage, $ionicPlatform, $state) {
        var conn = {};
        conn['r'] = function (action, data) {
            var deferred = $q.defer();

            var gSection = $localstorage.getObject('global_section');

            if (!gSection.is_old) {
                $localstorage.setObject('global_section', {is_old: false});
            }

            if (gSection.is_old) {
                var host = Constants._APP_HOST2;
            } else {
                var host = Constants._APP_HOST;
            }

            var restURL = host + '/' + action;
            $log.debug('POST:' + '/' + action + ': ', JSON.stringify(data));
            $http({
                cache: true,
                url: restURL,
                method: "POST",
                data: $.param(data == null ? {} : data),
                headers: {'Content-Type': 'application/x-www-form-urlencoded'}
            })
                .success(function (resData, status) {
                    //$log.debug('===================== RESPONSE ===========================')
                    if (resData) {
                        deferred.resolve(resData);
                    }
                    else {
                        $log.debug(action + 'oops error occurred here!: status:' + status + ': ', JSON.stringify(resData));
                    }
                }).error(function (resData, status) {
                    $log.debug(action + 'oops error occurred here!: status:' + status + ': ', JSON.stringify(resData));

                    $ionicPlatform.ready(function () {
                        if (window.Connection) {
                            if (navigator.connection.type == Connection.NONE) {
                                $state.go('connection')
                            }
                        }
                    });

                    deferred.reject(status);
                });
            return deferred.promise;
        };
        return conn;
    })
    .run(function(){

    });
